Categories:
  - Phone & SMS
  - System
License: GPL-3.0-or-later
AuthorName: tmo1
SourceCode: https://github.com/tmo1/sms-ie
IssueTracker: https://github.com/tmo1/sms-ie/issues
Translation: https://github.com/tmo1/sms-ie/blob/HEAD/CONTRIBUTING.md#contributing
Changelog: https://github.com/tmo1/sms-ie/releases

AutoName: SMS Import / Export

RepoType: git
Repo: https://github.com/tmo1/sms-ie.git

Builds:
  - versionName: '1.1'
    versionCode: 2
    commit: v1.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 3
    commit: 6cb75e3ac3a5687ac6be750c44d50fa70d6fbb1a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.2'
    versionCode: 4
    commit: 5a39d5b810f31d1a88786899e77983644f732255
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.3'
    versionCode: 5
    commit: 7c813cfd1c4da20af3a0c2ccb434376b5f272d3e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.3.1
    versionCode: 6
    commit: 71e2e3bdfd1b799b26787b5247b3d029f2b5e2cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.4'
    versionCode: 7
    commit: ddee0cf9340dcfe5013ad9ec95a6b048bf60cb94
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 8
    commit: ea61bcf5b97e1795388aa0b8a8eeda5d9f49203c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 9
    commit: f0da665d0793eb35dd9f093267a49ffe174ba34d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.5'
    versionCode: 10
    commit: 05eafc3465d09135b170712d496319d61b4bcfeb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 11
    commit: fd4049351934a392b81efe28fc55931412bb5625
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 12
    commit: 98c6a490a9656e0a2918ab6979fceeeede85dba1
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.3
    versionCode: 13
    commit: 6dbcf1564aa3335abf45b9b9143cbee31f15bbca
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.4
    versionCode: 14
    commit: a82f7401f80745c0a74fab13d46d467a338f0129
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.5
    versionCode: 15
    commit: 1249e70e3df4142eb32566b82cfcf12c6df9302e
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.0-pre.2
    versionCode: 100
    commit: 9f296070fe196579f2d858296c61e30c859bc528
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 101
    commit: 9712c997fe545e48315bbc207270f5b87f9f0140
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 102
    commit: 068ab6861e0ed5ad1b308bfffbd1a0febe7948d1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.3.0
    versionCode: 103
    commit: 91fc272e411d3615418230eff6d00d18583ffa0f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.3.1
    versionCode: 104
    commit: a3c31f491b2058ac3fea9c1d39bac0c4fbd855ca
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.3.2
    versionCode: 105
    commit: 98c5fa1719d98cf256d69a1b2d3eda8790dacbc9
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.3.2
CurrentVersionCode: 105
